Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.jce.provider
Class JCEMac

    java.lang.Object
      javax.crypto.MacSpi
          org.bouncycastle.jce.provider.JCEMac

All Implemented Interfaces:
  PBE

Direct Known Subclasses:
  IDEA.CFB8Mac, IDEA.Mac, JCEMac.DES, JCEMac.DES9797Alg3, JCEMac.DES9797Alg3with7816d4, JCEMac.DESCFB8, JCEMac.DESede, JCEMac.DESede64, JCEMac.DESede64with7816d4, JCEMac.DESedeCFB8, JCEMac.GOST28147, JCEMac.MD2, JCEMac.MD4, JCEMac.MD5, JCEMac.OldSHA384, JCEMac.OldSHA512, JCEMac.PBEWithRIPEMD160, JCEMac.PBEWithSHA, JCEMac.PBEWithTiger, JCEMac.RC2, JCEMac.RC2CFB8, JCEMac.RC5, JCEMac.RC5CFB8, JCEMac.RIPEMD128, JCEMac.RIPEMD160, JCEMac.SHA1, JCEMac.SHA224, JCEMac.SHA256, JCEMac.SHA384, JCEMac.SHA512, JCEMac.Skipjack, JCEMac.SkipjackCFB8, JCEMac.Tiger, JCEMac.VMPC

    public class JCEMac

extends javax.crypto.MacSpi
implements PBE

Nested Class Summary
`static class` `JCEMac.DES` DES
`static class` `JCEMac.DES9797Alg3` DES9797Alg3
`static class` `JCEMac.DES9797Alg3with7816d4` DES9797Alg3with7816-4Padding
`static class` `JCEMac.DESCFB8` DES
`static class` `JCEMac.DESede` DESede
`static class` `JCEMac.DESede64` DESede64
`static class` `JCEMac.DESede64with7816d4` DESede64with7816-4Padding
`static class` `JCEMac.DESedeCFB8` DESede
`static class` `JCEMac.GOST28147` GOST28147
`static class` `JCEMac.MD2` MD2 HMac
`static class` `JCEMac.MD4` MD4 HMac
`static class` `JCEMac.MD5` MD5 HMac
`static class` `JCEMac.OldSHA384`
`static class` `JCEMac.OldSHA512` SHA-512 HMac
`static class` `JCEMac.PBEWithRIPEMD160` PBEWithHmacRIPEMD160
`static class` `JCEMac.PBEWithSHA` PBEWithHmacSHA
`static class` `JCEMac.PBEWithTiger` PBEWithHmacTiger
`static class` `JCEMac.RC2` RC2
`static class` `JCEMac.RC2CFB8` RC2CFB8
`static class` `JCEMac.RC5` RC5
`static class` `JCEMac.RC5CFB8` RC5CFB8
`static class` `JCEMac.RIPEMD128` RIPEMD128 HMac
`static class` `JCEMac.RIPEMD160` RIPEMD160 HMac
`static class` `JCEMac.SHA1` SHA1 HMac
`static class` `JCEMac.SHA224` SHA-224 HMac
`static class` `JCEMac.SHA256` SHA-256 HMac
`static class` `JCEMac.SHA384` SHA-384 HMac
`static class` `JCEMac.SHA512` SHA-512 HMac
`static class` `JCEMac.Skipjack` SKIPJACK
`static class` `JCEMac.SkipjackCFB8` SKIPJACK
`static class` `JCEMac.Tiger` Tiger HMac
`static class` `JCEMac.VMPC` VMPC

Nested classes/interfaces inherited from interface org.bouncycastle.jce.provider.PBE
`PBE.Util`

Field Summary

Fields inherited from interface org.bouncycastle.jce.provider.PBE
`MD2, MD5, OPENSSL, PKCS12, PKCS5S1, PKCS5S2, RIPEMD160, SHA1, SHA256, TIGER`

Constructor Summary
`protected` `JCEMac(Mac macEngine)`
`protected` `JCEMac(Mac macEngine, int pbeType, int pbeHash, int keySize)`

Method Summary
`protected byte[]` `engineDoFinal()`
`protected int` `engineGetMacLength()`
`protected void` `engineInit(java.security.Key key, java.security.spec.AlgorithmParameterSpec params)`
`protected void` `engineReset()`
`protected void` `engineUpdate(byte input)`
`protected void` `engineUpdate(byte[] input, int offset, int len)`

Methods inherited from class javax.crypto.MacSpi
`clone, engineUpdate`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JCEMac

    protected JCEMac(Mac macEngine)

### JCEMac

    protected JCEMac(Mac macEngine,
                     int pbeType,
                     int pbeHash,
                     int keySize)

Method Detail

### engineInit

    protected void engineInit(java.security.Key key,
                              java.security.spec.AlgorithmParameterSpec params)
                       throws java.security.InvalidKeyException,
                              java.security.InvalidAlgorithmParameterException

  Specified by:
    `engineInit` in class `javax.crypto.MacSpi`
  Throws:
    `java.security.InvalidKeyException`
    `java.security.InvalidAlgorithmParameterException`

### engineGetMacLength

    protected int engineGetMacLength()

  Specified by:
    `engineGetMacLength` in class `javax.crypto.MacSpi`

### engineReset

    protected void engineReset()

  Specified by:
    `engineReset` in class `javax.crypto.MacSpi`

### engineUpdate

    protected void engineUpdate(byte input)

  Specified by:
    `engineUpdate` in class `javax.crypto.MacSpi`

### engineUpdate

    protected void engineUpdate(byte[] input,
                                int offset,
                                int len)

  Specified by:
    `engineUpdate` in class `javax.crypto.MacSpi`

### engineDoFinal

    protected byte[] engineDoFinal()

  Specified by:
    `engineDoFinal` in class `javax.crypto.MacSpi`

Bouncy Castle Cryptography Library 1.45